Package org.eclipse.jdt.debug.ui.launchConfigurations

# Class AppletParametersTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
org.eclipse.jdt.debug.ui.launchConfigurations.AppletParametersTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

public class AppletParametersTab extends JavaLaunchTab
This tab appears for java applet launch configurations and allows the user to edit applet-specific attributes such as width, height, name & applet parameters.

This class may be instantiated.

Since:
  2.1
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_APPLET_HEIGHT`
The default value for the 'height' attribute.
`static final int`
`DEFAULT_APPLET_WIDTH`
The default value for the 'width' attribute.

## Constructor Summary

Constructors
Constructor
Description
`AppletParametersTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`void`
`deactivated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
`String`
`getId()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)`
`boolean`
`isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeAttributes, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### DEFAULT_APPLET_WIDTH

public static final int DEFAULT_APPLET_WIDTH
The default value for the 'width' attribute.

See Also:
  - Constant Field Values

### DEFAULT_APPLET_HEIGHT

public static final int DEFAULT_APPLET_HEIGHT
The default value for the 'height' attribute.

See Also:
  - Constant Field Values

## Constructor Details

### AppletParametersTab

public AppletParametersTab()

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

### isValid

public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`

### getName

public String getName()

### getId

public String getId()

Overrides:
  `getId` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  - `AbstractLaunchConfigurationTab.getId()`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### activated

public void activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `activated` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### deactivated

public void deactivated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`